<div *ngIf="_errMessage" class="alert alert-danger text-center">
  {{ _errMessage }}
</div>
<div>
  <div class="text-center">
    <h1>Are you sure you want to submit the exam?</h1>
  </div>
  <div class="text-center">
    <button
      class="btn btn-primary"
      type="submit"
      [disabled]="_submitting"
      (click)="onContinueWriting()"
    >
      No, continue writing
    </button>
    <button
      class="btn btn-success"
      type="submit"
      [disabled]="_submitting"
      (click)="onSubmit()"
    >
      <span [innerHTML]="_submitting | submitButton"></span>
    </button>
  </div>

  <div
    *ngIf="!_submitting"
    [innerHTML]="sanitizer.bypassSecurityTrustHtml(_QAFormatted)"
  ></div>

  <br /><br /><br />
  <div *ngIf="_submitting" class="text-center">
    <div *ngIf="_submittedAsync" class="text-center">
      <h2>Your answers are succesfully submitted for review!</h2>
      <h2>
        You will be redirected to results page in<img
          src="/assets/images/5s.gif"
          height="35px"
          alt="5s countdown"
        />seconds...
      </h2>
    </div>
    <img
      src="/assets/images/waiting.gif"
      alt="Patience, grasshoper"
      style="width: 480px; height: 317px; left: 0px; top: 0px"
    />
  </div>
</div>
